{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://testnet.luchain.dimrem.com","description":"Generated server url"}],"paths":{"/explorer/app.js":{"get":{"tags":["explorer-ui-controller"],"operationId":"js","responses":{"200":{"description":"OK","content":{"application/javascript":{"schema":{"type":"string","format":"binary"}}}}}}},"/explorer/app.css":{"get":{"tags":["explorer-ui-controller"],"operationId":"css","responses":{"200":{"description":"OK","content":{"text/css":{"schema":{"type":"string","format":"binary"}}}}}}},"/explorer":{"get":{"tags":["explorer-ui-controller"],"operationId":"index","responses":{"200":{"description":"OK","content":{"text/html":{"schema":{"type":"string","format":"binary"}}}}}}},"/":{"get":{"tags":["explorer-ui-controller"],"operationId":"index_1","responses":{"200":{"description":"OK","content":{"text/html":{"schema":{"type":"string","format":"binary"}}}}}}},"/api/transactions/{txHash}":{"get":{"tags":["explorer-controller"],"operationId":"transaction","parameters":[{"name":"txHash","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionView"}}}}}}},"/api/network":{"get":{"tags":["explorer-controller"],"operationId":"network","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NetworkView"}}}}}}},"/api/blocks/{blockHash}":{"get":{"tags":["explorer-controller"],"operationId":"block","parameters":[{"name":"blockHash","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BlockView"}}}}}}},"/api/accounts/{address}":{"get":{"tags":["explorer-controller"],"operationId":"account","parameters":[{"name":"address","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountView"}}}}}}},"/api/accounts/{address}/transactions":{"get":{"tags":["explorer-controller"],"operationId":"accountTransactions","parameters":[{"name":"address","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TransactionSummary"}}}}}}}}},"components":{"schemas":{"JsonNode":{},"Message":{"type":"object","properties":{"type":{"type":"string"},"src":{"type":"string"},"dst":{"type":"string"},"amount":{"type":"integer"},"state":{"$ref":"#/components/schemas/JsonNode"},"payload":{"$ref":"#/components/schemas/JsonNode"}}},"MessageEnvelope":{"type":"object","properties":{"seed":{"type":"string"},"anchor":{"type":"string"},"content":{"$ref":"#/components/schemas/Message"},"signature":{"type":"string"}}},"MessageView":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string"},"src":{"type":"string"},"dst":{"type":"string"},"amount":{"type":"integer"}}},"Transaction":{"type":"object","properties":{"messages":{"type":"array","items":{"$ref":"#/components/schemas/MessageEnvelope"}}}},"TransactionView":{"type":"object","properties":{"tx_hash":{"type":"string"},"block_hash":{"type":"string"},"block_height":{"type":"integer","format":"int64"},"transaction_index":{"type":"integer","format":"int32"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/MessageView"}},"transaction":{"$ref":"#/components/schemas/Transaction"}}},"BlockSummary":{"type":"object","properties":{"block_hash":{"type":"string"},"prev_hash":{"type":"string"},"height":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"transaction_count":{"type":"integer","format":"int32"},"validator":{"type":"string"},"difficulty_target":{"type":"integer","format":"int32"}}},"NetworkView":{"type":"object","properties":{"node_base_url":{"type":"string"},"refreshed_at":{"type":"string","format":"date-time"},"refresh_error":{"type":"string"},"seed":{"type":"string"},"node_id":{"type":"string"},"public_base_url":{"type":"string"},"origin_hash":{"type":"string"},"head_hash":{"type":"string"},"head_height":{"type":"integer","format":"int64"},"head_block_work":{"type":"integer","format":"int32"},"head_total_work":{"type":"integer"},"indexed_blocks":{"type":"integer","format":"int32"},"indexed_transactions":{"type":"integer","format":"int32"},"indexed_accounts":{"type":"integer","format":"int32"},"index_truncated":{"type":"boolean"},"latest_blocks":{"type":"array","items":{"$ref":"#/components/schemas/BlockSummary"}}}},"BlockView":{"type":"object","properties":{"block_hash":{"type":"string"},"prev_hash":{"type":"string"},"height":{"type":"integer","format":"int64"},"transaction_hashes":{"type":"array","items":{"type":"string"}},"block":{"$ref":"#/components/schemas/JsonNode"}}},"AccountStateView":{"type":"object","properties":{"balance":{"type":"integer"},"state":{"$ref":"#/components/schemas/JsonNode"}}},"AccountView":{"type":"object","properties":{"node_base_url":{"type":"string"},"refreshed_at":{"type":"string","format":"date-time"},"address":{"type":"string"},"block_hash":{"type":"string"},"height":{"type":"integer","format":"int64"},"account":{"$ref":"#/components/schemas/AccountStateView"},"index_truncated":{"type":"boolean"},"transaction_count":{"type":"integer","format":"int32"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/TransactionSummary"}},"affected_blocks":{"type":"array","items":{"$ref":"#/components/schemas/BlockSummary"}}}},"TransactionSummary":{"type":"object","properties":{"tx_hash":{"type":"string"},"block_hash":{"type":"string"},"block_height":{"type":"integer","format":"int64"},"transaction_index":{"type":"integer","format":"int32"},"message_count":{"type":"integer","format":"int32"},"addresses":{"type":"array","items":{"type":"string"}}}}}}}